Subject: [mpls] Comments to draft-torvi-mpls-rsvp-ingress-protection-00

From: Gregory Mirsky <[email-masked]>
Date: Wed, 15 Aug 2012 14:08:27 -0400

Dear Authors, et al.,
Please kindly consider my comments and questions:
*       The title of the document refers to RSVP-TE LSPs. But these could be unidirectional (MPLS-TE) or bidirectional (MPLS-TP). Does the discussion of the RSVP-TE extension in the MPLS WG imply that the scope is on unidirectional MPLS-TE? If that is the case, then IP BFD might be used to monitor continuity in scenarios under consideration. But if MPLS-TP is in the scope of the document, RFC 5884 or RFC 6428 should be used.
*       I do agree that ingress LER, as well as egress LER, protection is desirable but I think that this is service protection, not tunnel protection problem. And to tackle it we might look at PW Redundancy http://tools.ietf.org/html/draft-ietf-pwe3-redundancy-09, e.g. sections 3.2.1 and 3.2.2.
*       I think that Scenario B is an example of 1+1 Segment Protection. I think that RFC 4873, though it is GMPLS, is relevant to this scenario. And I am concerned that Source-MP OAM domain might be overlapping, which is prohibited in some OAM models, with OAM domains that monitor other segments of the LSP (OAM domains can be enclosed, not overlapping). And if Source and MP are in separate administrative domains, security might present additional challenge. To avoid these issues, Service OAM can be used between Ces to monitor working and protecting paths thus providing ingress and/or ergess LER protection.
*       In Scenario C, in my view, failure of the Ingress LER can not be reliable differentiated from a failure of a link between Ingress and Backup Ingress nodes. Thus the Backup might start forwarding traffic while the Ingress is still forwading traffic.

        Regards,
                Greg